{ lib, ... }:

with lib;

{
  hosts = addNames {
    wolf = {
      #dc = "shack";
      nets = {
        #shack = {
        #  addrs4 = [ TODO ];
        #  aliases = ["wolf.shack"];
        #};
        retiolum = {
          addrs4 = ["10.243.77.1"];
          addrs6 = ["42:0:0:0:0:0:77:1"];
          aliases = [
            "wolf.retiolum"
          ];
          tinc.pubkey = ''
            -----BEGIN RSA PUBLIC KEY-----
            MIIBCgKCAQEAzpXyEATt8+ElxPq650/fkboEC9RvTWqN6UIAl/R4Zu+uDhAZ2ekb
            HBjoSbRxu/0w2I37nwWUhEOemxGm4PXCgWrtO0jeRF4nVNYu3ZBppA3vuVALUWq7
            apxRUEL9FdsWQlXGo4PVd20dGaDTi8M/Ggo755MStVTY0rRLluxyPq6VAa015sNg
            4NOFuWm0NDn4e+qrahTCTiSjbCU8rWixm0GktV40kdg0QAiFbEcRhuXF1s9/yojk
            7JT/nFg6LELjWUSSNZnioj5oSfVbThDRelIld9VaAKBAZZ5/zy6T2XSeDfoepytH
            8aw6itEuTCy1M1DTiTG+12SPPw+ubG+NqQIDAQAB
            -----END RSA PUBLIC KEY-----
          '';
        };
      };
      ssh.privkey.path = <secrets/ssh.id_ed25519>;
      ssh.pubkey = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIKYMXMWZIK0jjnZDM9INiYAKcwjXs2241vew54K8veCR";
    };
  };
  users = addNames {
    shared = {
      mail = "spam@krebsco.de";
      pubkey = "lol"; # TODO krebs.users.shared.pubkey should be unnecessary
    };
  };
}
